using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Statistics
{
	/// <summary>
	/// 热点类型满意度统计
	/// </summary>
	[Description("热点类型满意度统计")]
	[SugarIndex("index_statisticsHotspotSatisfied_insertTime", nameof(StatisticsHotspotSatisfied.InsertTime), OrderByType.Desc)]
	public class StatisticsHotspotSatisfied : CreationEntity
	{

		/// <summary>
		/// 热点标识
		/// </summary>
		[SugarColumn(ColumnDescription = "热点标识")]
		public string HotspotId { get; set; }

		/// <summary>
		/// 父级标识
		/// </summary>
		[SugarColumn(ColumnDescription = "父级标识")]
		public string HotspotPId { get; set; }

		/// <summary>
		/// 热点名称
		/// </summary>
		[SugarColumn(ColumnDescription = "热点名称")]
		public string HotspotName { get; set; }

		/// <summary>
		/// 小计
		/// </summary>
		[SugarColumn(ColumnDescription = "小计")]
		public int Total { get; set; }

		/// <summary>
		/// 非常满意
		/// </summary>
		[SugarColumn(ColumnDescription = "非常满意")]
		public int VerySatisfaction { get; set; }

		/// <summary>
		/// 满意
		/// </summary>
		[SugarColumn(ColumnDescription = "满意")]
		public int Satisfaction { get; set; }

		/// <summary>
		/// 视为满意
		/// </summary>
		[SugarColumn(ColumnDescription = "视为满意")]
		public int TreatSatisfaction { get; set; }

		/// <summary>
		/// 默认满意
		/// </summary>
		[SugarColumn(ColumnDescription = "默认满意")]
		public int DefaultSatisfaction { get; set; }

		/// <summary>
		/// 不满意
		/// </summary>
		[SugarColumn(ColumnDescription = " 不满意")]
		public int Dissatisfaction { get; set; }

		/// <summary>
		/// 未做评价
		/// </summary>
		[SugarColumn(ColumnDescription = "未做评价")]
		public int NotEvaluated { get; set; }

		/// <summary>
		/// 未接通
		/// </summary>
		[SugarColumn(ColumnDescription = " 未接通")]
		public int BlockCall { get; set; }

		/// <summary>
		/// （泸州、自贡）一般
		/// </summary>
		[SugarColumn(ColumnDescription = "（泸州、自贡）一般")]
		public int Ordinary { get; set; }

		/// <summary>
		/// （泸州、自贡）非常不满意
		/// </summary>
		[SugarColumn(ColumnDescription = "（泸州、自贡）非常不满意")]
		public int BeUnsatisfied { get; set; }

		/// <summary>
		/// （自贡）甄别为满意 自贡的视为满意名字是甄别为满意
		/// </summary>
		[SugarColumn(ColumnDescription = "（自贡）甄别为满意 自贡的视为满意名字是甄别为满意")]
		public int ScreenSatisfaction { get; set; }

		/// <summary>
		/// 统计日期
		/// </summary>
		[SugarColumn(ColumnDescription = "统计日期")]
		public DateTime Time { get; set; }

		/// <summary>
		/// 统计时限
		/// </summary>
		[SugarColumn(ColumnDescription = "统计时限")]
		public int Month { get; set; }

		/// <summary>
		/// 入库时间
		/// </summary>
		[SugarColumn(ColumnDescription = "入库时间")]
		public DateTime InsertTime { get; set; }
	}
}
